
TYPO3.Flow - Bug # 47054

Status: Resolved Priority: Should have
Author: Philipp Maier Category: Property
Created: 2013-04-08 Assigned To: Philipp Maier
Updated: 2013-04-30 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: IntegerConverter not found for properties annotated with @var int
Description

Attached you can find an working example package. The properties (and setter methods) in the DTO are annotated as 'int'.
On submitting the form, no suitable converter can be found. If the property is annotated with 'integer' it works as expected.

This should (imo) also work for 'int'.

The exact error message is:
#1297759968: Exception while property mapping for target type "TypeConverter\Test\Domain\Model\DTO\IntegerConverter",
at property path "someProperty": No converter found which can be used to convert from "string" to "int".

Associated revisions
Revision 8eca52b6 - 2013-04-10 21:49 - Philipp Maier

[BUGFIX] PropertyMapper now normalizes simple types

This fixes a bug where the property mapper was unable to find a
valid typeconverter for properties annotated with int or bool.

Change-Id: Ic9db9626613083bc8400ca3d96ca85475c7fb106
Fixes: #47054
Releases: master, 2.0, 1.1

Revision f6d8d4fb - 2013-04-30 16:43 - Philipp Maier

[BUGFIX] PropertyMapper now normalizes simple types

This fixes a bug where the property mapper was unable to find a
valid typeconverter for properties annotated with int or bool.

Change-Id: Ic9db9626613083bc8400ca3d96ca85475c7fb106
Fixes: #47054
Releases: master, 2.0, 1.1

Revision 519bfcc4 - 2013-04-30 16:46 - Philipp Maier

[BUGFIX] PropertyMapper now normalizes simple types

2015-08-04 1/4



This fixes a bug where the property mapper was unable to find a
valid typeconverter for properties annotated with int or bool.

Change-Id: Ic9db9626613083bc8400ca3d96ca85475c7fb106
Fixes: #47054
Releases: master, 2.0, 1.1

History
#1 - 2013-04-08 21:00 - Philipp Maier
- File TypeConverter.Test.zip added

Ofc I should attach said package now, should I? :)

#2 - 2013-04-09 15:41 - Adrian Föder
- Category set to Property
- Assigned To set to Philipp Maier

Since you've said you'll give it a try to fix it,

the actual conversion happens here, \TYPO3\Flow\Property\PropertyMapper::convert

I don't know ATM if the targetType should be normalized then already, or if this will be done at a later stage. Maybe you'll come up with an answer to
that.

Have also a look at \TYPO3\Flow\Utility\TypeHandling::normalizeType :)

#3 - 2013-04-09 21:03 - Philipp Maier

This also happens with bool <> boolean.
And yup, I'm on it.

#4 - 2013-04-09 21:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#5 - 2013-04-09 22:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#6 - 2013-04-10 08:55 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#7 - 2013-04-10 09:03 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#8 - 2013-04-10 10:02 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#9 - 2013-04-10 11:41 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#10 - 2013-04-10 11:41 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#11 - 2013-04-10 21:51 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19769

#12 - 2013-04-30 16:43 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20358

#13 - 2013-04-30 16:46 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/20359

#14 - 2013-04-30 17:36 - Philipp Maier
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f6d8d4fbc3a4cc5ce86c44089d146c37bc312fb7.
Files
TypeConverter.Test.zip 4.4 kB 2013-04-08 Philipp Maier
